Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
/
{id}
Go
package example

import (
    context "context"

    phone "github.com/auth0/go-auth0/management/management/branding/phone"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &phone.UpdatePhoneTemplateRequestContent{}
    client.Branding.Phone.Templates.Update(
        context.TODO(),
        "id",
        request,
    )
}
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.branding.phone.templates.update("id", {});
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.branding.phone.templates.update("id", {});
}
main();
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/branding/phone/templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": {
    "from": "<string>",
    "body": {
      "text": "<string>",
      "voice": "<string>"
    }
  },
  "disabled": false
}
'
import requests

url = "https://{tenantDomain}/api/v2/branding/phone/templates/{id}"

payload = {
    "content": {
        "from": "<string>",
        "body": {
            "text": "<string>",
            "voice": "<string>"
        }
    },
    "disabled": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)


{
  "content": {
    "syntax": "<string>",
    "from": "<string>",
    "body": {
      "text": "<string>",
      "voice": "<string>"
    }
  },
  "disabled": false,
  "id": "<string>",
  "channel": "<string>",
  "customizable": true,
  "tenant": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Required string length: 1 - 255

Body

content
object
disabled
boolean
default:false

Whether the template is enabled (false) or disabled (true).

Response

The phone notification template was updated.

content
object
required
type
enum<string>
required
Available options:
otp_verify,
otp_enroll,
change_password,
blocked_account,
password_breach
Maximum string length: 255
disabled
boolean
default:false
required

Whether the template is enabled (false) or disabled (true).

id
string
Required string length: 1 - 255
channel
string
customizable
boolean
tenant
string
Required string length: 1 - 255